/* Ejemplo 1 de la revista. */
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>

void main()
{
 /* declaracin de variables */
 Display *display;
 Window window;
 int pantalla;
 unsigned long white, black;
 XEvent evento;
 char tecla;
 
 /* inicializaciones */ 
 display = XOpenDisplay( NULL );
 pantalla = DefaultScreen( display );
 black=BlackPixel( display, pantalla );
 white=WhitePixel( display, pantalla );
 
 /* creamos la ventana */
 window=XCreateSimpleWindow(display,
            DefaultRootWindow(display),
            0,0,400,300,5,white,black);
 /* seleccionamos los eventos deseados */
 XSelectInput(display, window, ButtonPressMask|KeyPressMask);
 XMapWindow( display, window );


 /* Bucle infinito de eventos */
 while(1)
 {
  /* Coger el evento siguiente en nuestra variable de eventos */
  /* Solo nos son enviados eventos que pedimos en XselectInput */
  XNextEvent(display, &evento);

  switch(evento.type)      /* que evento ha ocurrido? */
  {  
    case ButtonPress:    /* boton del raton? */
      printf("Boton pulsado en (%i,%i)\n",
             evento.xbutton.x, evento.xbutton.y);
             break;

   case KeyPress:    /* fue una tecla? */
      exit(0);       /* salir */
  }
      
 }

}

